=== debian/changelog ===
picamera (1.13) stable; urgency=low

  * 10 second captures should now work with the V2 module as the default
    CAPTURE_TIMEOUT has been increased to 60 seconds (#284)
  * A bug in PiCameraCircularIO.copy_to caused it to copy nothing when it
    encountered "unknown" timestamps in the stream (#302, #319, #357)
  * A silly typo in code used by PiRGBArray was fixed (#321)
  * A bug in PiCamera.capture_continuous which caused duplicate frames in the
    output was fixed (#311)
  * Bitrate limits were removed on MJPEG, and full checking of H264 bitrates
    and macroblocks/s was implemented (#315)
  * A bug was fixed in the sensor_mode attribute which prevented it from being
    set after construction (#324)
  * A bug in the custom encoders example was fixed (#337)
  * Fixed a rare race condition that occurred when multiple splitter ports were
    in use (#344)
  * Recording overlays is now possible, but currently requires using the lower
    level mmalobj layer (#196)
  * Capturing YUV arrays via PiYUVArray is faster, thanks to GitHub user
    goosst (#308)
  * Added the ability to specify a restart interval for JPEG encoding (#369)
  * Added a property allowing users to manually specify a framerate_range for
    the camera (#374)
  * Added support for partially transparent overlays in RGBA format (#199)
  * Improved MJPEG web-streaming recipe, many thanks to GitHub user BigNerd95!
    (#375)
  * The Advanced Recipes chapter has been thoroughly re-worked and I would
    encourage anyone using the camera for Computer Vision purposes to re-read
    that chapter
  * The Camera Hardware chapter has been extended to include a thorough
    introduction to the low level operation of the camera module. This is
    important for understanding the limitations and peculiarities of the
    system
  * Anyone interested in using a lower level API to control the camera (which
    includes capabilities like manipulating frames before they hit the video
    encoder) should read the API - mmalobj chapter
  * Finally, some work was done on enhancing the PDF and EPub versions of the
    documentation. These should now be much more useable in hard-copy and on
    e-readers

 -- Dave Jones <dave@waveform.org.uk>  Sat, 25 Feb 2017 20:12:34 +0000

picamera (1.12) stable; urgency=low

  * Fixed issue with unencoded captures in Python 3 (#297)
  * Fixed several Python 3 bytes/unicode issues that were related to #297 (I'd
    erroneously run the picamera test suite twice against Python 2 instead of
    2 and 3 when releasing 1.11, which is how these snuck in)
  * Fixed multi-dimensional arrays for overlays under Python 3
  * Finished alternate CIE constructors for the Color class

 -- Dave Jones <dave@waveform.org.uk>  Mon, 04 Jul 2016 00:02:48 +0100

picamera (1.11) stable; urgency=low

  * Direct capture to buffer-protocol objects, such as numpy arrays (#241)
  * Add PiCamera.request_key_frame method to permit manual request of an
    I-frame during H264 recording; this is now used implicitly by
    PiCamera.split_recording (#257)
  * Added PiCamera.timestamp attribute to query camera's clock (#212)
  * Added PiCamera.framerate_delta to permit small adjustments to the camera's
    framerate to be performed "live" (#279)
  * Added PiCameraCircularIO.clear and PiCameraCircularIO.copy_to methods to
    PiCameraCircularIO (#216)
  * Prevent setting attributes on the main PiCamera class to ease debugging in
    educational settings (#240)
  * Due to the core re-writes in this version, you may require cutting edge
    firmware (sudo rpi-update) if you are performing unencoded captures,
    unencoded video recording, motion estimation vector sampling, or manual
    sensor mode setting.
  * Added property to control preview's PiPreviewRenderer.resolution
    separately from the camera's PiCamera.resolution (required for maximum
    resolution previews on the V2 module - #296).
  * Fixed basic stereoscopic operation on compute module (#218)
  * Fixed accessing framerate as a tuple (#228)
  * Fixed hang when invalid file format is specified (#236)
  * Fixed multiple bayer captures with PiCamera.capture_sequence and
    PiCamera.capture_continuous (#264)
  * Fixed usage of "falsy" custom outputs with motion_output (#281)

 -- Dave Jones <dave@waveform.org.uk>  Sun, 19 Jun 2016 22:30:59 +0100

picamera (1.10-1) stable; urgency=low

  * The major enhancement is the addition of support for the camera's flash
    driver. This is relatively complex to configure, but a full recipe has
    been included in the documentation (#184)
  * A new intra_refresh attribute is added to the start_recording method
    permitting control of the intra-frame refresh method (#193)
  * The GPIO pins controlling the camera's LED are now configurable. This is
    mainly for any compute module users, but also for anyone who wishes to use
    the device tree blob to reconfigure the pins used (#198)
  * The new annotate V3 struct is now supported, providing custom background
    colors for annotations, and configurable text size. As part of this work a
    new Color class was introduced for representation and manipulation of
    colors (#203)
  * Reverse enumeration of frames in PiCameraCircularIO is now supported
    efficiently (without having to convert frames to a list first) (#204)
  * Finally, the API documentation has been re-worked as it was getting too
    large to comfortably load on all platforms (no ticket)

 -- Dave Jones <dave@waveform.org.uk>  Tue, 31 Mar 2015 02:01:42 +0100

picamera (1.9-1) stable; urgency=low

  * The camera's sensor mode can now be forced to a particular setting upon
    camera initialization with the new sensor_mode parameter to PiCamera()
    (#165)
  * The camera's initial framerate and resolution can also be specified as
    keyword arguments to the PiCamera initializer. This is primarily intended
    to reduce initialization time (#180)

